package cn.com.tenlion.systembase.pojo.dtos.population;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: BasePopulationInfoDTO
 * @Description: 人员信息基础表
 * @Author: WenG
 * @Date: 2020-11-16 17:17
 * @Version: 1.0
 **/
@ApiModel
public class PopulationDTO {

    @ApiModelProperty(name = "basePopulationInfoId", value = "主键")
    private String basePopulationInfoId;
    @ApiModelProperty(name = "idCardNumber", value = "公民身份证号")
    private String idCardNumber;
    @ApiModelProperty(name = "fullName", value = "全名")
    private String fullName;
    @ApiModelProperty(name = "nameUsedBefore", value = "曾用名")
    private String nameUsedBefore;
    @ApiModelProperty(name = "gender", value = "性别")
    private String gender;
    @ApiModelProperty(name = "genderDictionaryName", value = "性别字典名称")
    private String genderDictionaryName;
    @ApiModelProperty(name = "birthDate", value = "出生日期")
    private String birthDate;
    @ApiModelProperty(name = "nation", value = "民族")
    private String nation;
    @ApiModelProperty(name = "nationDictionaryName", value = "民族字典名称")
    private String nationDictionaryName;
    @ApiModelProperty(name = "nativePlace", value = "籍贯")
    private String nativePlace;
    @ApiModelProperty(name = "nativePlaceAddr", value = "籍贯详细地址")
    private String nativePlaceAddr;
    @ApiModelProperty(name = "nativePlaceDictionaryName", value = "籍贯字典名称")
    private String nativePlaceDictionaryName;
    @ApiModelProperty(name = "politicalStatus", value = "政治面貌")
    private String politicalStatus;
    @ApiModelProperty(name = "politicalStatusDictionaryName", value = "政治面貌字典名称")
    private String politicalStatusDictionaryName;
    @ApiModelProperty(name = "maritalStatus", value = "婚姻情况")
    private String maritalStatus;
    @ApiModelProperty(name = "maritalStatusDictionaryName", value = "婚姻情况字典名称")
    private String maritalStatusDictionaryName;
    @ApiModelProperty(name = "education", value = "学历")
    private String education;
    @ApiModelProperty(name = "educationDictionaryName", value = "学历字典名称")
    private String educationDictionaryName;
    @ApiModelProperty(name = "religion", value = "宗教信仰")
    private String religion;
    @ApiModelProperty(name = "religionDictionaryName", value = "宗教信仰字典名称")
    private String religionDictionaryName;
    @ApiModelProperty(name = "occupationCategory", value = "职业类别")
    private String occupationCategory;
    @ApiModelProperty(name = "occupationCategoryDictionaryName", value = "职业类别字典名称")
    private String occupationCategoryDictionaryName;
    @ApiModelProperty(name = "occupation", value = "职业")
    private String occupation;
    @ApiModelProperty(name = "serviceSpace", value = "服务处所")
    private String serviceSpace;
    @ApiModelProperty(name = "telephone", value = "联系方式(手机号码或固话)")
    private String telephone;
    @ApiModelProperty(name = "registeredResidence", value = "户籍地")
    private String registeredResidence;
    @ApiModelProperty(name = "registeredResidenceDictionaryName", value = "户籍地字典名称")
    private String registeredResidenceDictionaryName;
    @ApiModelProperty(name = "registeredResidenceAddr", value = "户籍详细地址")
    private String registeredResidenceAddr;
    @ApiModelProperty(name = "currentResidence", value = "现住地")
    private String currentResidence;
    @ApiModelProperty(name = "currentResidenceDictionaryName", value = "现住地字典名称")
    private String currentResidenceDictionaryName;
    @ApiModelProperty(name = "currentResidenceAddr", value = "现住地详细地址")
    private String currentResidenceAddr;

    public String getBasePopulationInfoId() {
        return basePopulationInfoId == null ? "" : basePopulationInfoId.trim();
    }

    public void setBasePopulationInfoId(String basePopulationInfoId) {
        this.basePopulationInfoId = basePopulationInfoId;
    }

    public String getIdCardNumber() {
        return idCardNumber == null ? "" : idCardNumber.trim();
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public String getFullName() {
        return fullName == null ? "" : fullName.trim();
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getNameUsedBefore() {
        return nameUsedBefore == null ? "" : nameUsedBefore.trim();
    }

    public void setNameUsedBefore(String nameUsedBefore) {
        this.nameUsedBefore = nameUsedBefore;
    }

    public String getGender() {
        return gender == null ? "" : gender.trim();
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getGenderDictionaryName() {
        return genderDictionaryName == null ? "" : genderDictionaryName.trim();
    }

    public void setGenderDictionaryName(String genderDictionaryName) {
        this.genderDictionaryName = genderDictionaryName;
    }
    public String getBirthDate() {
        return birthDate == null ? "" : birthDate.trim();
    }

    public void setBirthDate(String birthDate) {
        this.birthDate = birthDate;
    }

    public String getNation() {
        return nation == null ? "" : nation.trim();
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNationDictionaryName() {
        return nationDictionaryName == null ? "" : nationDictionaryName.trim();
    }

    public void setNationDictionaryName(String nationDictionaryName) {
        this.nationDictionaryName = nationDictionaryName;
    }
    public String getNativePlace() {
        return nativePlace == null ? "" : nativePlace.trim();
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getNativePlaceDictionaryName() {
        return nativePlaceDictionaryName == null ? "" : nativePlaceDictionaryName.trim();
    }

    public void setNativePlaceDictionaryName(String nativePlaceDictionaryName) {
        this.nativePlaceDictionaryName = nativePlaceDictionaryName;
    }
    public String getPoliticalStatus() {
        return politicalStatus == null ? "" : politicalStatus.trim();
    }

    public void setPoliticalStatus(String politicalStatus) {
        this.politicalStatus = politicalStatus;
    }

    public String getPoliticalStatusDictionaryName() {
        return politicalStatusDictionaryName == null ? "" : politicalStatusDictionaryName.trim();
    }

    public void setPoliticalStatusDictionaryName(String politicalStatusDictionaryName) {
        this.politicalStatusDictionaryName = politicalStatusDictionaryName;
    }
    public String getMaritalStatus() {
        return maritalStatus == null ? "" : maritalStatus.trim();
    }

    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    public String getMaritalStatusDictionaryName() {
        return maritalStatusDictionaryName == null ? "" : maritalStatusDictionaryName.trim();
    }

    public void setMaritalStatusDictionaryName(String maritalStatusDictionaryName) {
        this.maritalStatusDictionaryName = maritalStatusDictionaryName;
    }
    public String getEducation() {
        return education == null ? "" : education.trim();
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getEducationDictionaryName() {
        return educationDictionaryName == null ? "" : educationDictionaryName.trim();
    }

    public void setEducationDictionaryName(String educationDictionaryName) {
        this.educationDictionaryName = educationDictionaryName;
    }
    public String getReligion() {
        return religion == null ? "" : religion.trim();
    }

    public void setReligion(String religion) {
        this.religion = religion;
    }

    public String getReligionDictionaryName() {
        return religionDictionaryName == null ? "" : religionDictionaryName.trim();
    }

    public void setReligionDictionaryName(String religionDictionaryName) {
        this.religionDictionaryName = religionDictionaryName;
    }
    public String getOccupationCategory() {
        return occupationCategory == null ? "" : occupationCategory.trim();
    }

    public void setOccupationCategory(String occupationCategory) {
        this.occupationCategory = occupationCategory;
    }

    public String getOccupationCategoryDictionaryName() {
        return occupationCategoryDictionaryName == null ? "" : occupationCategoryDictionaryName.trim();
    }

    public void setOccupationCategoryDictionaryName(String occupationCategoryDictionaryName) {
        this.occupationCategoryDictionaryName = occupationCategoryDictionaryName;
    }
    public String getOccupation() {
        return occupation == null ? "" : occupation.trim();
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    public String getServiceSpace() {
        return serviceSpace == null ? "" : serviceSpace.trim();
    }

    public void setServiceSpace(String serviceSpace) {
        this.serviceSpace = serviceSpace;
    }

    public String getTelephone() {
        return telephone == null ? "" : telephone.trim();
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getRegisteredResidence() {
        return registeredResidence == null ? "" : registeredResidence.trim();
    }

    public void setRegisteredResidence(String registeredResidence) {
        this.registeredResidence = registeredResidence;
    }

    public String getRegisteredResidenceDictionaryName() {
        return registeredResidenceDictionaryName == null ? "" : registeredResidenceDictionaryName.trim();
    }

    public void setRegisteredResidenceDictionaryName(String registeredResidenceDictionaryName) {
        this.registeredResidenceDictionaryName = registeredResidenceDictionaryName;
    }
    public String getRegisteredResidenceAddr() {
        return registeredResidenceAddr == null ? "" : registeredResidenceAddr.trim();
    }

    public void setRegisteredResidenceAddr(String registeredResidenceAddr) {
        this.registeredResidenceAddr = registeredResidenceAddr;
    }

    public String getCurrentResidence() {
        return currentResidence == null ? "" : currentResidence.trim();
    }

    public void setCurrentResidence(String currentResidence) {
        this.currentResidence = currentResidence;
    }

    public String getCurrentResidenceDictionaryName() {
        return currentResidenceDictionaryName == null ? "" : currentResidenceDictionaryName.trim();
    }

    public void setCurrentResidenceDictionaryName(String currentResidenceDictionaryName) {
        this.currentResidenceDictionaryName = currentResidenceDictionaryName;
    }
    public String getCurrentResidenceAddr() {
        return currentResidenceAddr == null ? "" : currentResidenceAddr.trim();
    }

    public void setCurrentResidenceAddr(String currentResidenceAddr) {
        this.currentResidenceAddr = currentResidenceAddr;
    }

    public String getNativePlaceAddr() {
        return nativePlaceAddr == null ? "" : nativePlaceAddr;
    }

    public void setNativePlaceAddr(String nativePlaceAddr) {
        this.nativePlaceAddr = nativePlaceAddr;
    }

    @Override
    public String toString() {
        return "PopulationDTO{" +
                "basePopulationInfoId='" + basePopulationInfoId + '\'' +
                ", idCardNumber='" + idCardNumber + '\'' +
                ", fullName='" + fullName + '\'' +
                ", nameUsedBefore='" + nameUsedBefore + '\'' +
                ", gender='" + gender + '\'' +
                ", genderDictionaryName='" + genderDictionaryName + '\'' +
                ", birthDate='" + birthDate + '\'' +
                ", nation='" + nation + '\'' +
                ", nationDictionaryName='" + nationDictionaryName + '\'' +
                ", nativePlace='" + nativePlace + '\'' +
                ", nativePlaceAddr='" + nativePlaceAddr + '\'' +
                ", nativePlaceDictionaryName='" + nativePlaceDictionaryName + '\'' +
                ", politicalStatus='" + politicalStatus + '\'' +
                ", politicalStatusDictionaryName='" + politicalStatusDictionaryName + '\'' +
                ", maritalStatus='" + maritalStatus + '\'' +
                ", maritalStatusDictionaryName='" + maritalStatusDictionaryName + '\'' +
                ", education='" + education + '\'' +
                ", educationDictionaryName='" + educationDictionaryName + '\'' +
                ", religion='" + religion + '\'' +
                ", religionDictionaryName='" + religionDictionaryName + '\'' +
                ", occupationCategory='" + occupationCategory + '\'' +
                ", occupationCategoryDictionaryName='" + occupationCategoryDictionaryName + '\'' +
                ", occupation='" + occupation + '\'' +
                ", serviceSpace='" + serviceSpace + '\'' +
                ", telephone='" + telephone + '\'' +
                ", registeredResidence='" + registeredResidence + '\'' +
                ", registeredResidenceDictionaryName='" + registeredResidenceDictionaryName + '\'' +
                ", registeredResidenceAddr='" + registeredResidenceAddr + '\'' +
                ", currentResidence='" + currentResidence + '\'' +
                ", currentResidenceDictionaryName='" + currentResidenceDictionaryName + '\'' +
                ", currentResidenceAddr='" + currentResidenceAddr + '\'' +
                '}';
    }
}
